com.pixelmed.test

## Class TestNumericContentItemFloatingAndRational

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestNumericContentItemFloatingAndRational

-     public class TestNumericContentItemFloatingAndRational
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestNumericContentItemFloatingAndRational(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal()`
    `void` | `TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet()`
    `void` | `TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor_nonSR()`
    `void` | `TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor()`
    `void` | `TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor()`
    `void` | `TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor()`
    `void` | `TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero()`
    `void` | `TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor()`
    `void` | `TestNumericContentItemFloatingAndRational_StringOnlyConstructor_nonSR()`
    `void` | `TestNumericContentItemFloatingAndRational_StringOnlyConstructor()`
    `void` | `TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor_NonSR()`
    `void` | `TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestNumericContentItemFloatingAndRational

          public TestNumericContentItemFloatingAndRational(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor_NonSR

          public void TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor_NonSR()
                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor

          public void TestNumericContentItemFloatingAndRational_StringOnlyFromAttributeListConstructor()
                                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor

          public void TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor()
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor_nonSR

          public void TestNumericContentItemFloatingAndRational_FloatingFromAttributeListConstructor_nonSR()
                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor

          public void TestNumericContentItemFloatingAndRational_RationalFromAttributeListConstructor()
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_StringOnlyConstructor_nonSR

          public void TestNumericContentItemFloatingAndRational_StringOnlyConstructor_nonSR()
                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_StringOnlyConstructor

          public void TestNumericContentItemFloatingAndRational_StringOnlyConstructor()
                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor

          public void TestNumericContentItemFloatingAndRational_FloatingFromDoubleConstructor()
                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor

          public void TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructor()
                                                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero

          public void TestNumericContentItemFloatingAndRational_RationalAndFloatingFromDoubleConstructorDivideByZero()
                                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal

          public void TestNumericContentItemFloatingAndRational_DoubleConstructor_MinimalSubNormal()
                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet

          public void TestNumericContentItemFloatingAndRational_DoubleConstructor_SubNormalAllMantissaBitsSet()
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`